Bug 43299 - Remove GPLversion
Remove GPLversion
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on: 43298
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-05 14:24 CET by Florian Best
Modified: 2017-07-26 14:39 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (6.18 KB, patch)
2017-01-05 14:24 CET, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-01-05 14:24:05 CET
Created attachment 8336 [details]
patch

The GPLversion was added for the CT' UCS DVD Edition, IIRC. I don't think this is needed anymore. Attached patch removes every occurrence.
Comment 1 Stefan Gohmann univentionstaff 2017-01-05 14:29:09 CET
> The GPLversion was added for the CT' UCS DVD Edition, IIRC.

No, not really. See for example Bug #7562.
Comment 2 Florian Best univentionstaff 2017-01-05 14:30:58 CET
(In reply to Stefan Gohmann from comment #1)
> > The GPLversion was added for the CT' UCS DVD Edition, IIRC.
> 
> No, not really. See for example Bug #7562.
Okay, nevertheless all of the code is dead code if we add the dependency in Bug #43298.
Comment 3 Florian Best univentionstaff 2017-07-05 15:57:18 CEST
Patch applied.

univention-management-console-module-udm.yaml:
r80880 | YAML Bug #43299

univention-directory-manager-modules.yaml:
r80880 | YAML Bug #43299

univention-management-console-module-udm (7.0.10-16):
r80878 | Bug #43299: remove code which belongs to the GPL version

univention-management-console-module-adtakeover (4.0.1-10):
r80879 | Bug #43299: remove code which belongs to the GPL version

univention-management-console-module-adtakeover.yaml:
r80880 | YAML Bug #43299

univention-directory-manager-modules (12.0.17-60):
r80877 | Bug #43299: remove code which belongs to the GPL version
Comment 4 Johannes Keiser univentionstaff 2017-07-06 13:08:19 CEST
OK Old GPLversion code is removed
   Code dead due to added dependency of python-univention-license in Bug #43298

YAML: OK
-> verified